Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class DirectoryUser

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.DirectoryObject
                          oracle.ifs.beans.TieDirectoryObject
                              oracle.ifs.beans.DirectoryUser

All Implemented Interfaces:
  DirectoryObjectInterface, IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieDirectoryUser

    public class DirectoryUser

extends TieDirectoryObject

A DirectoryUser represents an iFS user.

This class is referenced by several other classes by attributes that hold information as to "who" has performed some action. For example, the Owner attribute on PublicObject references the DirectoryUser who owns that particular PublicObject.

(Published)

Field Summary
`static java.lang.String` | `ADMINENABLED_ATTRIBUTE` An indicator of whether this DirectoryUser has administrative privileges and can enter administration mode.
`static java.lang.String` | `CLASS_NAME` Name of this class.
`static java.lang.String` | `SYSTEMADMINENABLED_ATTRIBUTE` An indicator of whether this DirectoryUser has system administrative privileges.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure each DirectoryUser has a unique Name.
`static java.lang.String` | `USER_CLASS_DOMAIN_NAME` name of class domain used for this class

Fields inherited from class oracle.ifs.beans.DirectoryObject
`CREDENTIALMANAGER_ATTRIBUTE, DISTINGUISHEDNAME_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `DirectoryUser(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a DirectoryUser object.

Method Summary
`void` | `applicationConnected(java.lang.Long appSessionId)` Reacts to notification of an Application connection.
`void` | `applicationDisconnected(java.lang.Long appSessionId)` Reacts to notification of an Application disconnect.
`void` | `auditEmailSent(java.lang.String mailType, int mode)` Audits an event indicating that an email was sent as a side-effect of some other operation.
`protected void` | `auditSessionConnected()` Audits a LibrarySession connect.
`protected void` | `auditSessionDisconnected()` Audits a LibrarySession disconnect.
`protected void` | `auditUpdated(LibraryObjectDefinition lodef)` Creates audit events for the update operation.
`void` | `auditUserPreferenceUpdated(java.lang.String key)` Audits the update of a user preference.
`protected static DirectoryUser` | `constructDirectoryUser(LibrarySession sess, S_LibraryObjectData data)` Constructs a DirectoryUser from a S_LibraryObjectData.
`protected static java.util.Vector` | `constructDirectoryUserVector(LibrarySession sess, java.util.Vector vector)` Constructs a DirectoryUser Vector from a Vector of S_DirectoryObjectData.
`protected PrimaryUserProfile` | `fetchPrimaryUserProfile()` Selects the user's PrimaryUserProfile from the database.
`static DirectoryUser[]` | `findAll(LibrarySession session)` Returns the set of defined DirectoryUsers.
`static DirectoryUser` | `findByDistinguishedName(LibrarySession session, java.lang.String dn)` Gets the DirectoryUser with the specified distinguished name.
`static DirectoryUser` | `findByName(LibrarySession session, java.lang.String name)` Returns the a DirectoryUser matching the specified name.
`DirectoryUser[]` | `getAllUserMembers()` Gets this DirectoryUser.
`DirectoryUser` | `getAllUserMembers(int index)` Gets this DirectoryUser at specified index.
`java.lang.String` | `getCharacterSet()` Gets the CharacterSet preference for this DirectoryUser.
`Folder` | `getCurrentAuditDomainContext()` Gets the current "Audit Domain" context for the session's user.
`Folder` | `getCurrentOrDefaultAuditDomainContext()` Gets the current or default "Audit Domain" context for the session's user.
`java.lang.String` | `getEmailAddress()` Gets the email address for this DirectoryUser.
`Folder` | `getHomeFolder()` Gets the Home folder for this DirectoryUser.
`java.lang.String` | `getLanguage()` Gets the Language preference for this DirectoryUser.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find DirectoryUser instances by name.
`java.util.Locale` | `getLocale()` Gets the Locale preference for this DirectoryUser.
`PrimaryUserProfile` | `getPrimaryUserProfile()` Gets the PrimaryUserProfile of this DirectoryUser.
`java.util.TimeZone` | `getTimeZone()` Gets the TimeZone preference for this DirectoryUser.
`java.lang.String` | `getUniqueName()` Gets the unique name for the user.
`boolean` | `isAdminEnabled()` Checks if this DirectoryUser has admin privileges.
`boolean` | `isCurrentUser()` Checks if this DirectoryUser is the current user of the session.
`boolean` | `isEquivalentTo(DirectoryUser other)` Returns true if this DirectoryUser is equivalent to `other`.
`boolean` | `isSystemAdminEnabled()` Checks if this DirectoryUser has system admin privileges.
`boolean` | `isSystemOrGuest()` Returns true if the target user is "SYSTEM" or "GUEST".
`protected boolean` | `isValidEventType(AuditEvent event)` Checks to see if the event type in the process of being posted on the target LibraryObject is consistent with the target.
`protected void` | `postConnect()` Perform operations as part of establishing a new LibrarySession.
`protected void` | `postCreate(LibraryObjectDefinition lodef)` Extensibility point to perform actions after the creation of a PublicObject.
`void` | `postSystemAuditEvent(AuditEvent event)` Posts a System event.
`protected void` | `preDisconnect()` Perform operations as part of disconnecting a LibrarySession.
`protected void` | `preFree(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the permanent deletion ("free") of a object.
`protected void` | `reportUserCreated()` Audits a User create operation.
`protected void` | `reportUserFreed()` Audits a User free operation.
`void` | `setAdminEnabled(boolean value)` Sets admin privileges of this DirectoryUser.
`void` | `setSystemAdminEnabled(boolean value)` Sets system admin privileges of this DirectoryUser.
`LibrarySession` | `switchSessionMode(int mode)` Switches the current session into the specified mode.
`static DirectoryUser[]` | `toDirectoryUserArray(DirectoryObject[] dos)` Convert an array of DirectoryObject to an array of DirectoryUser.
`void` | `validateSessionMode(int mode)` Checks if the specified "session mode" is valid for the target user.
`protected static DirectoryUser` | `vectorDirectoryUserElement(java.util.Vector vector, int index)` Returns a specific DirectoryUser element from the Vector of DirectoryUser at the specified index.
`protected static DirectoryUser[]` | `vectorToDirectoryUserArray(java.util.Vector vector)` Converts a Vector of DirectoryUser to an array of DirectoryUser.

Methods inherited from class oracle.ifs.beans.DirectoryObject
`constructDirectoryObject, constructDirectoryObjectArray, constructDirectoryObjectVector, getAllAncestors, getAllAncestors, getAllMembers, getAllMembers, getCredentialManager, getDirectAncestors, getDirectAncestors, getDirectMembers, getDirectMembers, getDistinguishedName, isMemberOf, resetAllAncestors, resetDirectAncestors, setCredentialManager, setDistinguishedName, vectorDirectoryObjectElement, vectorToDirectoryObjectArray`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postUpdate, preCopy, preCreate, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `DirectoryUser`
  Name of this class.

  Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### ADMINENABLED_ATTRIBUTE

    public static final java.lang.String ADMINENABLED_ATTRIBUTE

  Description copied from class: `DirectoryUser`
  An indicator of whether this DirectoryUser has administrative privileges and can enter administration mode.

  See Also:
    Constant Field Values
  (Published)

### SYSTEMADMINENABLED_ATTRIBUTE

    public static final java.lang.String SYSTEMADMINENABLED_ATTRIBUTE

  Description copied from class: `DirectoryUser`
  An indicator of whether this DirectoryUser has system administrative privileges.

  See Also:
    Constant Field Values
  (Published)

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  Description copied from class: `DirectoryUser`
  A system-set attribute used to ensure each DirectoryUser has a unique Name.

  See Also:
    Constant Field Values
  (Published)

### USER_CLASS_DOMAIN_NAME

    public static final java.lang.String USER_CLASS_DOMAIN_NAME

  Description copied from class: `DirectoryUser`
  name of class domain used for this class

  See Also:
    Constant Field Values

Constructor Detail

### DirectoryUser

    protected DirectoryUser(LibrarySession session,
                            java.lang.Long id,
                            java.lang.Long classId,
                            S_LibraryObjectData data)
                     throws IfsException

  Construct a DirectoryUser object.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the DirectoryUser data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getAllUserMembers

    public DirectoryUser[] getAllUserMembers()
                                      throws IfsException

  Description copied from class: `DirectoryUser`
  Gets this DirectoryUser.

  Overrides:
    `getAllUserMembers` in class `DirectoryObject`
  Returns:
    array containing this one DirectoryUser
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAllUserMembers

    public DirectoryUser getAllUserMembers(int index)
                                    throws IfsException

  Description copied from class: `DirectoryUser`
  Gets this DirectoryUser at specified index.

  This is an override of the method in DirectoryObject. Since a DirectoryUser does not have any other members, the index must be 0.

  Overrides:
    `getAllUserMembers` in class `DirectoryObject`
  Parameters:
    `index` - must be zero to get this DirectoryUser
  Returns:
    this DirectoryUser
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getPrimaryUserProfile

    public PrimaryUserProfile getPrimaryUserProfile()
                                             throws IfsException

  Description copied from class: `DirectoryUser`
  Gets the PrimaryUserProfile of this DirectoryUser.

  Returns:
    the PrimaryUserProfile
  Throws:
    `IfsException` - if operation fails.
  (Published)

### fetchPrimaryUserProfile

    protected PrimaryUserProfile fetchPrimaryUserProfile()
                                                  throws IfsException

  Description copied from class: `DirectoryUser`
  Selects the user's PrimaryUserProfile from the database.

  Returns:
    the user's PrimaryUserProfile
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getLanguage

    public java.lang.String getLanguage()
                                 throws IfsException

  Description copied from class: `DirectoryUser`
  Gets the Language preference for this DirectoryUser.

  Returns:
    the Language preference
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getCharacterSet

    public java.lang.String getCharacterSet()
                                     throws IfsException

  Description copied from class: `DirectoryUser`
  Gets the CharacterSet preference for this DirectoryUser.

  Returns:
    the CharacterSet preference
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getTimeZone

    public java.util.TimeZone getTimeZone()
                                   throws IfsException

  Description copied from class: `DirectoryUser`
  Gets the TimeZone preference for this DirectoryUser.

  Returns:
    the TimeZone preference
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getHomeFolder

    public Folder getHomeFolder()
                         throws IfsException

  Description copied from class: `DirectoryUser`
  Gets the Home folder for this DirectoryUser.

  Returns:
    the user's home folder
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getLocale

    public java.util.Locale getLocale()
                               throws IfsException

  Description copied from class: `DirectoryUser`
  Gets the Locale preference for this DirectoryUser.

  Returns:
    the Locale preference
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getEmailAddress

    public java.lang.String getEmailAddress()
                                     throws IfsException

  Description copied from class: `DirectoryUser`
  Gets the email address for this DirectoryUser.

  Returns:
    the email address
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getCurrentAuditDomainContext

    public Folder getCurrentAuditDomainContext()
                                        throws IfsException

  Description copied from class: `DirectoryUser`
  Gets the current "Audit Domain" context for the session's user.

  The impl here in the base class simply returns the root folder. Application can override (e.g. in the Tie Class).

  Returns:
    the current audit domain context
  Throws:
    `IfsException` - if the operation fails

### getCurrentOrDefaultAuditDomainContext

    public Folder getCurrentOrDefaultAuditDomainContext()
                                                 throws IfsException

  Description copied from class: `DirectoryUser`
  Gets the current or default "Audit Domain" context for the session's user.

  The impl here in the base class simply returns the root folder. Application can override (e.g. in the Tie Class).

  Returns:
    the current or default audit domain context
  Throws:
    `IfsException` - if the operation fails

### isAdminEnabled

    public boolean isAdminEnabled()
                           throws IfsException

  Description copied from class: `DirectoryUser`
  Checks if this DirectoryUser has admin privileges.

  Returns:
    whether this DirectoryUser is admin enabled
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### isSystemAdminEnabled

    public boolean isSystemAdminEnabled()
                                 throws IfsException

  Description copied from class: `DirectoryUser`
  Checks if this DirectoryUser has system admin privileges.

  Returns:
    whether this DirectoryUser is system admin enabled
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### validateSessionMode

    public void validateSessionMode(int mode)
                             throws IfsException

  Description copied from class: `DirectoryUser`
  Checks if the specified "session mode" is valid for the target user.

  Has no effect in CORE, but subclasses may override.

  Parameters:
    `mode` - a proposed session mode
  Throws:
    `IfsException` - if the operation fails

### switchSessionMode

    public LibrarySession switchSessionMode(int mode)
                                     throws IfsException

  Description copied from class: `DirectoryUser`
  Switches the current session into the specified mode.

  Has no effect in CORE, but subclasses may override.

  Parameters:
    `mode` - the desired mode for the session
  Returns:
    the resulting session context matching the desired mode
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getUniqueName

    public java.lang.String getUniqueName()
                                   throws IfsException

  Description copied from class: `DirectoryUser`
  Gets the unique name for the user.

  Returns:
    the unique name
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### isCurrentUser

    public boolean isCurrentUser()
                          throws IfsException

  Description copied from class: `DirectoryUser`
  Checks if this DirectoryUser is the current user of the session.

  Returns:
    whether this user is the current user of the session
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### isEquivalentTo

    public boolean isEquivalentTo(DirectoryUser other)
                           throws IfsException

  Description copied from class: `DirectoryUser`
  Returns true if this DirectoryUser is equivalent to `other`.

  Always returns false if the specified user is null. Returns true if the target and specified user are the same user.

  This is overridden in ECM mode, to check for admin-users.

  Parameters:
    `other` - the other DirectoryUser to test equivalence to this DirectoryUser
  Returns:
    true if this DirectoryUser is equivalent to `other`
  Throws:
    `IfsException` - if the operation fails

### setAdminEnabled

    public void setAdminEnabled(boolean value)
                         throws IfsException

  Description copied from class: `DirectoryUser`
  Sets admin privileges of this DirectoryUser.

  Parameters:
    `value` - true if enabling admin mode
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setSystemAdminEnabled

    public void setSystemAdminEnabled(boolean value)
                               throws IfsException

  Description copied from class: `DirectoryUser`
  Sets system admin privileges of this DirectoryUser.

  Parameters:
    `value` - true if enabling system admin mode
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### postCreate

    protected void postCreate(LibraryObjectDefinition lodef)
                       throws IfsException

  Description copied from class: `PublicObject`
  Extensibility point to perform actions after the creation of a PublicObject.

  This assumes that a transaction context has already been established.

  Overrides:
    `postCreate` in class `PublicObject`
  Parameters:
    `lodef` - object definition that was used to create the object
  Throws:
    `IfsException` - if the operation fails

### preFree

    protected void preFree(LibraryObjectDefinition lodef)
                    throws IfsException

  Description copied from class: `PublicObject`
  Extensibility point to perform actions prior to the permanent deletion ("free") of a object.

  Override to free all existing categories, in such a way that the PO doesn't get updated for each category free.

  Overrides:
    `preFree` in class `PublicObject`
  Parameters:
    `lodef` - object definition used to hold options related to the free operation
  Throws:
    `IfsException` - if operation fails.

### postConnect

    protected void postConnect()
                        throws IfsException

  Description copied from class: `DirectoryUser`
  Perform operations as part of establishing a new LibrarySession.

  Called late in the construction and initialization of a LibrarySession, given subclasses the ability to override and throw an exception preventing the establishment of a LibrarySession for the target user, or provide other extensions such as setting up session state.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### preDisconnect

    protected void preDisconnect()
                          throws IfsException

  Description copied from class: `DirectoryUser`
  Perform operations as part of disconnecting a LibrarySession.

  Called early in the disconnect process, given subclasses the ability to override to provide extensions such as tearing down session state.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### applicationConnected

    public void applicationConnected(java.lang.Long appSessionId)
                              throws IfsException

  Description copied from class: `DirectoryUser`
  Reacts to notification of an Application connection.

  Parameters:
    `appSessionId` - the Application session ID
  Throws:
    `IfsException` - if the operation fails
  (Published)

### applicationDisconnected

    public void applicationDisconnected(java.lang.Long appSessionId)
                                 throws IfsException

  Description copied from class: `DirectoryUser`
  Reacts to notification of an Application disconnect.

  Parameters:
    `appSessionId` - the Application session ID
  Throws:
    `IfsException` - if the operation fails
  (Published)

### auditSessionConnected

    protected void auditSessionConnected()
                                  throws IfsException

  Description copied from class: `DirectoryUser`
  Audits a LibrarySession connect.

  Throws:
    `IfsException` - if the operation fails

### auditSessionDisconnected

    protected void auditSessionDisconnected()
                                     throws IfsException

  Description copied from class: `DirectoryUser`
  Audits a LibrarySession disconnect.

  Throws:
    `IfsException` - if the operation fails

### auditUserPreferenceUpdated

    public void auditUserPreferenceUpdated(java.lang.String key)
                                    throws IfsException

  Description copied from class: `DirectoryUser`
  Audits the update of a user preference.

  Parameters:
    `key` - the preference key
  Throws:
    `IfsException` - if the operation fails

### auditEmailSent

    public void auditEmailSent(java.lang.String mailType,
                               int mode)
                        throws IfsException

  Description copied from class: `DirectoryUser`
  Audits an event indicating that an email was sent as a side-effect of some other operation.

  Parameters:
    `mailType` - the type of mail sent
    `mode` - the post mode
  Throws:
    `IfsException` - if the operation fails

### auditUpdated

    protected void auditUpdated(LibraryObjectDefinition lodef)
                         throws IfsException

  Description copied from class: `LibraryObject`
  Creates audit events for the update operation.

  Overrides:
    `auditUpdated` in class `LibraryObject`
  Parameters:
    `lodef` - The update definition
  Throws:
    `IfsException` - if the operation fails.

### reportUserCreated

    protected void reportUserCreated()
                              throws IfsException

  Description copied from class: `DirectoryUser`
  Audits a User create operation.

  Throws:
    `IfsException` - if the operation fails

### reportUserFreed

    protected void reportUserFreed()
                            throws IfsException

  Description copied from class: `DirectoryUser`
  Audits a User free operation.

  Throws:
    `IfsException` - if the operation fails

### isSystemOrGuest

    public boolean isSystemOrGuest()
                            throws IfsException

  Description copied from class: `DirectoryUser`
  Returns true if the target user is "SYSTEM" or "GUEST".

  Returns:
    true if the target user is "SYSTEM" or "GUEST"
  Throws:
    `IfsException` - if the operation fails

### postSystemAuditEvent

    public void postSystemAuditEvent(AuditEvent event)
                              throws IfsException

  Description copied from class: `DirectoryUser`
  Posts a System event.

  The target must be the system user.

  Parameters:
    `event` - the event to post
  Throws:
    `IfsException` - if the operation fails

### isValidEventType

    protected boolean isValidEventType(AuditEvent event)
                                throws IfsException

  Description copied from class: `DirectoryUser`
  Checks to see if the event type in the process of being posted on the target LibraryObject is consistent with the target.

  Overrides:
    `isValidEventType` in class `LibraryObject`
  Parameters:
    `event` - the event being posted on this object
  Returns:
    true if the type is consistent; false otherwise
  Throws:
    `IfsException` - if the operation fails

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `DirectoryUser`
  Returns the LibraryObjectLookupCache used by find DirectoryUser instances by name.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static DirectoryUser[] findAll(LibrarySession session)
                                   throws IfsException

  Description copied from class: `DirectoryUser`
  Returns the set of defined DirectoryUsers.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of DirectoryUsers; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static DirectoryUser findByName(LibrarySession session,
                                           java.lang.String name)
                                    throws IfsException

  Description copied from class: `DirectoryUser`
  Returns the a DirectoryUser matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the DirectoryUser name
  Returns:
    the DirectoryUser matching the specified name; or null if there exists no matching DirectoryUser
  Throws:
    `IfsException` - if the operation fails.

### findByDistinguishedName

    public static DirectoryUser findByDistinguishedName(LibrarySession session,
                                                        java.lang.String dn)
                                                 throws IfsException

  Description copied from class: `DirectoryUser`
  Gets the DirectoryUser with the specified distinguished name.

  Parameters:
    `session` - the session; required
    `dn` - the distinguished name
  Returns:
    the DirectoryUser, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Published)

### vectorToDirectoryUserArray

    protected static DirectoryUser[] vectorToDirectoryUserArray(java.util.Vector vector)
                                                         throws IfsException

  Description copied from class: `DirectoryUser`
  Converts a Vector of DirectoryUser to an array of DirectoryUser.

  Parameters:
    `vector` - Vector of DirectoryObject
  Returns:
    array of DirectoryUser that correspond to the Vector
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorDirectoryUserElement

    protected static DirectoryUser vectorDirectoryUserElement(java.util.Vector vector,
                                                              int index)
                                                       throws java.lang.IndexOutOfBoundsException

  Description copied from class: `DirectoryUser`
  Returns a specific DirectoryUser element from the Vector of DirectoryUser at the specified index.

  Parameters:
    `vector` - Vector of DirectoryUser
    `index` - index into DirectoryUser Vector
  Returns:
    the requested DirectoryUser
  Throws:
    `java.lang.IndexOutOfBoundsException` - if invalid index specified.
  (Unpublished)

### constructDirectoryUser

    protected static DirectoryUser constructDirectoryUser(LibrarySession sess,
                                                          S_LibraryObjectData data)
                                                   throws IfsException

  Description copied from class: `DirectoryUser`
  Constructs a DirectoryUser from a S_LibraryObjectData.

  Parameters:
    `sess` - current LibrarySession
    `data` - data component
  Returns:
    the constructed DirectoryUser
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructDirectoryUserVector

    protected static java.util.Vector constructDirectoryUserVector(LibrarySession sess,
                                                                   java.util.Vector vector)
                                                            throws IfsException

  Description copied from class: `DirectoryUser`
  Constructs a DirectoryUser Vector from a Vector of S_DirectoryObjectData.

  Parameters:
    `sess` - current LibrarySession
    `vector` - vector of DirectoryUser
  Returns:
    Vector of DirectoryUser
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toDirectoryUserArray

    public static DirectoryUser[] toDirectoryUserArray(DirectoryObject[] dos)
                                                throws IfsException

  Description copied from class: `DirectoryUser`
  Convert an array of DirectoryObject to an array of DirectoryUser.

  Parameters:
    `dos` - set of directory objects
  Returns:
    array of DirectoryUser
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD